atsutil(8)

NAME
atsutil - font registration system utility

SYNOPSIS
atsutil autoactivation [-DdeaRh] [path]
atsutil databases [-remove | -removeUser]
atsutil fontprotection [-on | -off] [-get] [-files] [-fonts]
atsutil server [-ping | -shutdown]
atsutil help

DESCRIPTION
atsutil tool controls some aspects of the font registration system. It may be used to modify font auto activation settings, font protection settings, remove font registration databases and caches, or restart the font registration daemon.

autoactivation modifies font auto activation settings globally or for a specific application.

databases will remove fontd System or User databases along with any cache files. Removing databases may cause the loss of font registration state: fonts activated outside the standard font directories, font faces disabled, and font libraries. New databases will be regenerated from fonts installed the standard font directories after the user logs out, restarts, or the fontd server is restarted.

fontprotection overrides System font protection settings.

server queries the status of fontd or shutdowns the fontd. Shutting down the fontd will spawn a new fontd. Shutting down the server is NOT recommended and will likely lead to misrendered text or application crashes.

OPTIONS
autoactivation [-DdeaRh] [path]
-D set font auto activation setting to default.
-d is specified, then set font auto activation setting to disabled.
-e is specified, then set font auto activation setting to enabled.
-a is specified, then set font auto activation setting to ask.
-R is specified, then reset font auto activation setting to default.
-h is specified, then display help information.
-path with options is specified, then set font auto activation setting locally for application. Otherwise, setting is global in scope.

Note, path without options will return current font auto activation setting for application.

databases [-remove | -removeUser]
-remove remove fontd databases for active user and system (used when no one is logged in and some background processes).
-removeUser remove fontd databases for the active user only.

fontprotection [-on | -off] [-get] [-files] [-fonts]
-on enable System font protection.
-off disable System font protection.
-get return System font protection setting.
-files prints list of protected font files.
-fonts prints list of protected font faces (Postscript names).

server [-ping | -shutdown]
-ping query running fontd.
-shutdown shutdown fontd and spawn a new fontd. NOTE: this action is not recommended. See above.

SEE ALSO
fontd(8)

HISTORY
atsutil first appeared in MacOS X 10.5.